{% extends 'base.html'%}
{% load news_extras %}
{% block content %}



    <main>

        <h2  class="container d-flex justify-content-center article card mt-2 pt-2 col-md-8">  {{data}} </h2>
        {% for item in news %}
        <div class="container d-flex justify-content-center article card mt-2 pt-2 col-md-8">
        <div class="card-body">

        <a class="card-header" href="{% url 'detail' item.pk %}">{{item.title}} </a>
            <br><br>
        <p class="card-date"> {{item.published|date:"d.m.Y"}} </p>

            {% if filter == "history"  %}
        <i>Просмотрено:</i> <br>
        {{ item.saw}}
        {% endif %}
        <p class="card-text mt-2 pt-2">{{item.content|safe|cut}} <a class = "btn btn-primary" href="{% url 'detail' item.pk %}">читать продолжение</a></p> <br>
        {% if filter == "favorite" %}
             <a href="/del_from_favor?news_id={{article.id}}" class="btn col-md-3  btn-secondary disapprove">Удалить из избранного</a>
        {% endif %}
        </div>
        </div>
        
    {% endfor %}
   

    </main>
    <footer>
	<div  class="text-center">
        {% if page.has_previous %}
            {% if filter == 'most_viewed' %}
                <a href="?page={{ page.previous_page_number }}&most_viewed=1">Назад</a>
            {% elif filter == 'history'%}
                <a href="?page={{ page.previous_page_number }}&history=1">Назад</a>
            {% elif filter == 'popular' %}
                <a href="?page={{ page.previous_page_number }}&popular=1">Назад</a>
            {% elif filter == 'favorite' %}
                <a href="?page={{ page.previous_page_number }}&favorite=1">Назад</a>
            {% elif search %}
                <a href="?page={{ page.previous_page_number }}&search={{search}}">Назад</a>
            {% else %}
                <a href="?page={{ page.previous_page_number }}">Назад</a>
            {% endif %}

        {% endif %}
        <span class="current">
            Страница {{ page.number }} из {{ page.paginator.num_pages }}.
        </span>

        {% if page.has_next %}
            {% if filter == 'most_viewed' %}
                <a href="?page={{ page.next_page_number }}&most_viewed=1">Вперед</a>
            {% elif filter == 'history'%}
                <a href="?page={{ page.next_page_number }}&history=1">Вперед</a>
            {% elif filter == 'popular' %}
                <a href="?page={{ page.next_page_number }}&popular=1">Вперед</a>
            {% elif filter == 'favorite' %}
                <a href="?page={{ page.next_page_number }}&favorite=1">Вперед</a>
            {% elif search %}
                <a href="?page={{ page.next_page_number }}&search={{search}}">Вперед</a>
            {% else %}
                <a href="?page={{ page.next_page_number }}">Вперед</a>
            {% endif %}

        {% endif %}
    </div> 
</footer>
{% endblock %}